package com.example.writeepc.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class MyScannerReceiver extends BroadcastReceiver {
    public  MyScannerCall myScannerCall;

    public MyScannerReceiver() {
    }

    public MyScannerReceiver(MyScannerCall myScannerCall) {
        this.myScannerCall = myScannerCall;
    }

    @Override
    public void onReceive(Context context, Intent intent) {

        String data = intent.getStringExtra("scannerdata");
        myScannerCall.getScannerData(data);
    }
}